Package com.avaya.core

## Class ConversationViewDelegateAdapter

- java.lang.Object
- - com.avaya.core.ConversationViewDelegateAdapter

- All Implemented Interfaces:
    `ConversationViewDelegate`

      public abstract class ConversationViewDelegateAdapter
      extends java.lang.Object
      implements ConversationViewDelegate

  Abstract class that implements `ConversationViewDelegate`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConversationViewDelegateAdapter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onCreateConversationClick()` | Called when a new conversation is selected
    `void` | `onRequestPermissionsCalled​(java.lang.String[] permissions)` | Notifies the delegate that permissions for this app have been requested
    `void` | `onStartActivityCalled​(android.content.Intent intent)` | Notifies the delegate that a call to start an activity has been made
    `boolean` | `shouldCreateCustomConversationFlow()` | Notifies the ConverstationListActivity that the conversation activity create intent should be sent to the interceptor

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConversationViewDelegateAdapter

          public ConversationViewDelegateAdapter()

  - ### Method Detail

    - #### onStartActivityCalled

          public void onStartActivityCalled​(android.content.Intent intent)

      Notifies the delegate that a call to start an activity has been made
      Specified by:
        `onStartActivityCalled` in interface `ConversationViewDelegate`
      Parameters:
        `intent` - A copy of the description of the activity that will start

    - #### onRequestPermissionsCalled

          public void onRequestPermissionsCalled​(java.lang.String[] permissions)

      Notifies the delegate that permissions for this app have been requested
      Specified by:
        `onRequestPermissionsCalled` in interface `ConversationViewDelegate`
      Parameters:
        `permissions` - The list of permissions requested

    - #### shouldCreateCustomConversationFlow

          public boolean shouldCreateCustomConversationFlow()

      Notifies the ConverstationListActivity that the conversation activity create intent should be sent to the interceptor
      Specified by:
        `shouldCreateCustomConversationFlow` in interface `ConversationViewDelegate`
      Returns:
        true if you want to intercept the conversation activity create intent

    - #### onCreateConversationClick

          public void onCreateConversationClick()

      Called when a new conversation is selected
      Specified by:
        `onCreateConversationClick` in interface `ConversationViewDelegate`